Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.wfs
Class WFSDescription

    java.lang.Object
      org.deegree.io.datastore.wfs.WFSDescription

    public class WFSDescription

extends Object

Describing class for conecting a WFS from a cascading WFS datastore

Version:
  $Revision: 6251 $, $Date: 2007-03-19 16:59:28 +0100 (Mo, 19 Mrz 2007) $
Author:
  Andreas Poth, last edited by: $Author: poth $

Constructor Summary
`WFSDescription(URL url, XSLTDocument inFilter, XSLTDocument outFilter, int timeout)`

Method Summary
`XSLTDocument` | `getInFilter()`
`XSLTDocument` | `getOutFilter()`
`int` | `getTimeout()`
`URL` | `getUrl()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WFSDescription

    WFSDescription(URL url,
                   XSLTDocument inFilter,
                   XSLTDocument outFilter,
                   int timeout)

Parameters:
  `url` - base URL of cascaded WFS
  `inFilter` - XSLT script for transforming incoming request; may be `null`
  `outFilter` - XSLT script for transforming outgoing response; may be `null`
  `timeout` - timeout for request processing

Method Detail

### getInFilter

    public XSLTDocument getInFilter()

  Returns:
    the inFilter

### getOutFilter

    public XSLTDocument getOutFilter()

  Returns:
    the outFilter

### getUrl

    public URL getUrl()

  Returns:
    the url

### getTimeout

    public int getTimeout()

  Returns:
    the timeout

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org